﻿using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace SecuritySystemDatabaseImplement.Models
{
    [DataContract]
    public class SecureComponent
    {
        [DataMember]
        public int Id { get; set; }
        [DataMember]
        [Required]
        public int SecureId { get; set; }
        [DataMember]
        [Required]
        public int ComponentId { get; set; }
        [DataMember]
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Secure Secure { get; set; } = new();
    }

}
